using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RFramework;

namespace RFrameGenerate.Model
{
    public partial class T_WX_WeChat : EntityBase<T_WX_WeChat>, ICloneable
    {
        public Guid WeChatGuid{ get;set; }
        public string nick_name{ get;set; }
        public string head_img{ get;set; }
        public string service_type_info{ get;set; }
        public string verify_type_info{ get;set; }
        public string user_name{ get;set; }
        public string alias{ get;set; }
        public string qrcode_url{ get;set; }
        public string appid{ get;set; }
        public string authorization_info{ get;set; }
        public string func_info{ get;set; }
        public bool? IsAuthorize{ get;set; }   
        public string AuthCode{ get;set; }
        public DateTime? ExpiresIn{ get;set; }   
        public Guid? SMerchantGuid{ get;set; }   
        public bool? IsRemind{ get;set; }   
        public string AttentionUrl{ get;set; }
        public bool? IsAttentionUrl{ get;set; }   
        
        public override string ToString()
        {
            StringBuilder sb = this.EntityToGetKeyValue();
            if (sb == null)
                return base.ToString();
            else
            {
                return sb.ToString();
            }
        }
        
        #region 创建副本
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public object Clone()
        {
            return this.MemberwiseClone();
        }
        /// <summary>
        /// 创建当前 System.Object 的深表副本
        /// </summary>
        /// <returns>返回当前实例的深表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_WX_WeChat DeepClone()
        {
            using (System.IO.Stream objectStream = new System.IO.MemoryStream())
            {
                System.Runtime.Serialization.IFormatter formatter = new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter();
                formatter.Serialize(objectStream, this);
                objectStream.Seek(0, System.IO.SeekOrigin.Begin);
                return formatter.Deserialize(objectStream) as T_WX_WeChat;
            }
        }
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_WX_WeChat ShallowClone()
        {
            return Clone() as T_WX_WeChat;
        }
        #endregion
        
        #region 实体相互转换
        protected override T_WX_WeChat CurrentEntity()
        {
            return this;
        }
        #endregion
    }
}

